<ion-header [translucent]="true">
  <ion-toolbar>
    <ion-title>
      Detalle
    </ion-title>
  </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
  <ion-list line="full">
    <ion-item *ngIf="todo">
      <ion-input required type="text" placeholder="Tarea" [(ngModel)]="todo.task"></ion-input>
    </ion-item>
    <ion-item *ngIf="todo">
      <ion-input required type="number" placeholder="Prioridad" [(ngModel)]="todo.priority"></ion-input>
    </ion-item>
    <ion-item *ngIf="todo">
      <ion-input required type="text" placeholder="Dueño" [(ngModel)]="todo.owner"></ion-input>
    </ion-item>
    <ion-item *ngIf="todo">
      <ion-input required type="text" placeholder="Lugar" [(ngModel)]="todo.place"></ion-input>
    </ion-item>
    <ion-button expand="full" (click)="saveTodo()">Guardar</ion-button>
  </ion-list>
  <ion-fab vertical="bottom" horizontal="end" slot="fixed" color="danger">
    <ion-fab-button color="danger" routerLink="/" routerDirection="forward" (click)="onRemove(todoId)">
      <ion-icon name="trash"></ion-icon>
    </ion-fab-button>
  </ion-fab>
</ion-content>
